Package twisted :: Package internet :: Module app :: Class _AbstractServiceCollection |
[show private | hide private]
[frames | no frames]

## Class _AbstractServiceCollection

Known Subclasses:
  `MultiService`, `Application`

Method Summary
| ``__init__`(self)` Create an abstract service collection.
| ``addService`(self, service)` Add a service to this collection.
| ``getServiceNamed`(self, serviceName)` Retrieve the named service from this application.
| ``removeService`(self, service)` Remove a service from this collection.

Class Variable Summary
`tuple` | `__implements__`

Method Details

### __init__(self) (Constructor) Create an abstract service collection.

### addService(self, service) Add a service to this collection.

### getServiceNamed(self, serviceName) Retrieve the named service from this application. Raise a KeyError if there is no such service name.

### removeService(self, service) Remove a service from this collection.

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class 'twisted.internet.interfaces.IServiceCollection'>,)

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net